List analyses by project
curl --request GET \
--url https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/analyses \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/analyses"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"analyseLanguageParts": [
{
"id": "<string>",
"jobs": [
{
"filename": "<string>",
"innerId": "<string>",
"jobUid": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"importStatus": {
"errorMessage": "<string>"
},
"innerId": "<string>",
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"name": "<string>",
"uid": "<string>"
},
"outdated": true,
"provider": {
"type": "<string>",
"id": "<string>",
"uid": "<string>"
},
"pureWarnings": [
"<string>"
],
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Project
List analyses by project
GET
/
api2
/
v3
/
projects
/
{projectUid}
/
analyses
List analyses by project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the project
Query Parameters
Filter by analysis name
Filter by analysis UID
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Sorting field
Available options:
DATE_CREATED, INNER_ID Sorting order
Available options:
asc, desc When true, returns only analyses owned by the user's organization
Was this page helpful?
⌘I